<template>
<v-app>
  
    <v-container grid-list-xl id="container">
      <manage-societie></manage-societie>
    <v-layout row wrap >
      <v-flex v-for="societie in societies" :key="societie.id" xs6 sm3>
          <parallax-container>
            <parallax-element :parallaxStrength="-20" :type="'depth'">
        <v-card >
                <router-link id="cardtext" :to="{name:'onesociety', params: {societyId: societie.id}}">
              <v-img
                class="white--text"
                height="200px"
                src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
              >
              </v-img>
        
              <v-card-title class="cardContent">
                <div>
                  <span class="grey--text">Number 10</span>
                  <br>
                  <span>{{societie.name}}</span>
                  <br>
                  <a   v-if="societie.content.length > 20">{{societie.content.substring(0,60) + '...'}}</a>
                </div>
              </v-card-title>       
            </router-link>
      
        </v-card>
                    </parallax-element>
          </parallax-container>    
      </v-flex>
      
    </v-layout>
    
 </v-container>
 </v-app>

</template>

<script>
import ManageSocietie from "../components/ManageSocietie.vue"
import { mapState } from 'vuex';
export default {
  components:{
    ManageSocietie
  },
  computed: {
    ...mapState(["societies"])
  },
  mounted() {
      this.$store.dispatch("fetchSociety");
  }
};
</script>

<style>

.cardContent {
  text-decoration: none;
}
#cardtext{
  text-decoration: none;
  color: black;
}
</style>
